import PropTypes from 'prop-types';
import React from 'react';
export function MenuIcon(_ref) {
  var className = _ref.className;
  return React.createElement("svg", {
    width: "22",
    height: "22",
    className: className
  }, React.createElement("g", {
    fill: "#FFF",
    fillRule: "evenodd"
  }, React.createElement("path", {
    d: "M0 1.01A1 1 0 0 1 1.002 0h19.996A1 1 0 0 1 22 1.01v1.98A1 1 0 0 1 20.998 4H1.002A1 1 0 0 1 0 2.99V1.01z"
  }), React.createElement("rect", {
    y: "9",
    width: "22",
    height: "4",
    rx: "1"
  }), React.createElement("rect", {
    y: "18",
    width: "22",
    height: "4",
    rx: "1"
  })));
}
MenuIcon.propTypes = {
  className: PropTypes.string
};