"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MenuIcon = MenuIcon;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function MenuIcon(_ref) {
  var className = _ref.className;
  return _react["default"].createElement("svg", {
    width: "22",
    height: "22",
    className: className
  }, _react["default"].createElement("g", {
    fill: "#FFF",
    fillRule: "evenodd"
  }, _react["default"].createElement("path", {
    d: "M0 1.01A1 1 0 0 1 1.002 0h19.996A1 1 0 0 1 22 1.01v1.98A1 1 0 0 1 20.998 4H1.002A1 1 0 0 1 0 2.99V1.01z"
  }), _react["default"].createElement("rect", {
    y: "9",
    width: "22",
    height: "4",
    rx: "1"
  }), _react["default"].createElement("rect", {
    y: "18",
    width: "22",
    height: "4",
    rx: "1"
  })));
}

MenuIcon.propTypes = {
  className: _propTypes["default"].string
};