"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Icon = _interopRequireDefault(require("../Icon"));



function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var FileList = /*#__PURE__*/function (_Component) {
  _inherits(FileList, _Component);

  function FileList() {
    _classCallCheck(this, FileList);

    return _possibleConstructorReturn(this, _getPrototypeOf(FileList).apply(this, arguments));
  }

  _createClass(FileList, [{
    key: "handleClick",
    value: function handleClick(item) {
      this.props.onRemove(item);
    }
  }, {
    key: "render",
    value: function render() {
      var _this = this;

      return _react["default"].createElement("div", {
        className: "".concat("waui", "-upload__filelist")
      }, this.props.data.map(function (item, index) {
        return _react["default"].createElement("div", {
          key: index,
          className: "".concat("waui", "-upload__filelist_row")
        }, _react["default"].createElement("span", null, item.name), _react["default"].createElement("span", null, item.percent, "%"), _react["default"].createElement(_Icon["default"], {
          type: "upload",
          style: {
            display: item.state === 0 ? '' : 'none'
          }
        }), _react["default"].createElement(_Icon["default"], {
          type: "check-circle",
          style: {
            paddingRight: '10px',
            color: 'green',
            display: item.state === 1 ? '' : 'none'
          }
        }), _react["default"].createElement(_Icon["default"], {
          type: "times-circle",
          style: {
            paddingRight: '10px',
            color: 'red',
            display: item.state === 2 ? '' : 'none'
          }
        }), _react["default"].createElement(_Icon["default"], {
          type: "trash",
          style: {
            color: 'gray',
            cursor: 'pointer'
          },
          onClick: _this.handleClick.bind(_this, item)
        }));
      }));
    }
  }]);

  return FileList;
}(_react.Component);

FileList.propTypes = {
  data: _propTypes["default"].array,
  onRemove: _propTypes["default"].func
};
var _default = FileList;
exports["default"] = _default;