"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

// ShadowEqual except function props.
// maybe replaced by PureComponent
function isEqual(source, target) {
  if (!source) return true;
  return Object.keys(source).every(function (key) {
    var isEqual = true;
    var prop = source[key];

    if (typeof prop !== 'function' && target[key] !== source[key]) {
      isEqual = false;
    }

    return isEqual;
  });
}

function shouldComponentUpdate(nextProps, nextState) {
  if (nextProps.children) return true;
  return !(isEqual(nextProps, this.props) && isEqual(nextState, this.state));
}

var _default = shouldComponentUpdate;
exports["default"] = _default;