"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isObject = exports.isNumber = exports.isString = exports.isEmpty = exports.getType = void 0;

var getType = function getType(v) {
  return v === undefined ? 'undefined' : v === null ? 'null' : v.constructor.name.toLowerCase();
};

exports.getType = getType;

var isEmpty = function isEmpty(val) {
  return val == null || !(Object.keys(val) || val).length;
};

exports.isEmpty = isEmpty;

var isString = function isString(val) {
  return typeof val === 'string';
};

exports.isString = isString;

var isNumber = function isNumber(val) {
  return typeof val === 'number';
};

exports.isNumber = isNumber;

var isObject = function isObject(obj) {
  return obj === Object(obj);
};

exports.isObject = isObject;