import invariant from 'invariant';
export default (function (instance, response) {
  if (instance.props.dataFilter) {
    response = instance.props.dataFilter(response);
    invariant(!!response, "`dataFilter` should return a new data, check the `dataFilter` of `".concat(instance.constructor.name, "`."));
  }

  return response;
});