"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var svg = '<svg preserveAspectRatio="xMidYMid" viewBox="0 0 100 100" style="background: none;"><g transform="rotate(0 50 50)">\n' + '  <rect x="47.5" y="2" rx="45.125" ry="1.9000000000000001" width="5" height="28" fill="#595959">\n' + '    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.9166666666666666s" repeatCount="indefinite"></animate>\n' + '  </rect>\n' + '</g><g transform="rotate(30 50 50)">\n' + '  <rect x="47.5" y="2" rx="45.125" ry="1.9000000000000001" width="5" height="28" fill="#595959">\n' + '    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.8333333333333334s" repeatCount="indefinite"></animate>\n' + '  </rect>\n' + '</g><g transform="rotate(60 50 50)">\n' + '  <rect x="47.5" y="2" rx="45.125" ry="1.9000000000000001" width="5" height="28" fill="#595959">\n' + '    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.75s" repeatCount="indefinite"></animate>\n' + '  </rect>\n' + '</g><g transform="rotate(90 50 50)">\n' + '  <rect x="47.5" y="2" rx="45.125" ry="1.9000000000000001" width="5" height="28" fill="#595959">\n' + '    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.6666666666666666s" repeatCount="indefinite"></animate>\n' + '  </rect>\n' + '</g><g transform="rotate(120 50 50)">\n' + '  <rect x="47.5" y="2" rx="45.125" ry="1.9000000000000001" width="5" height="28" fill="#595959">\n' + '    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.5833333333333334s" repeatCount="indefinite"></animate>\n' + '  </rect>\n' + '</g><g transform="rotate(150 50 50)">\n' + '  <rect x="47.5" y="2" rx="45.125" ry="1.9000000000000001" width="5" height="28" fill="#595959">\n' + '    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.5s" repeatCount="indefinite"></animate>\n' + '  </rect>\n' + '</g><g transform="rotate(180 50 50)">\n' + '  <rect x="47.5" y="2" rx="45.125" ry="1.9000000000000001" width="5" height="28" fill="#595959">\n' + '    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.4166666666666667s" repeatCount="indefinite"></animate>\n' + '  </rect>\n' + '</g><g transform="rotate(210 50 50)">\n' + '  <rect x="47.5" y="2" rx="45.125" ry="1.9000000000000001" width="5" height="28" fill="#595959">\n' + '    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.3333333333333333s" repeatCount="indefinite"></animate>\n' + '  </rect>\n' + '</g><g transform="rotate(240 50 50)">\n' + '  <rect x="47.5" y="2" rx="45.125" ry="1.9000000000000001" width="5" height="28" fill="#595959">\n' + '    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.25s" repeatCount="indefinite"></animate>\n' + '  </rect>\n' + '</g><g transform="rotate(270 50 50)">\n' + '  <rect x="47.5" y="2" rx="45.125" ry="1.9000000000000001" width="5" height="28" fill="#595959">\n' + '    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.16666666666666666s" repeatCount="indefinite"></animate>\n' + '  </rect>\n' + '</g><g transform="rotate(300 50 50)">\n' + '  <rect x="47.5" y="2" rx="45.125" ry="1.9000000000000001" width="5" height="28" fill="#595959">\n' + '    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="-0.08333333333333333s" repeatCount="indefinite"></animate>\n' + '  </rect>\n' + '</g><g transform="rotate(330 50 50)">\n' + '  <rect x="47.5" y="2" rx="45.125" ry="1.9000000000000001" width="5" height="28" fill="#595959">\n' + '    <animate attributeName="opacity" values="1;0" keyTimes="0;1" dur="1s" begin="0s" repeatCount="indefinite"></animate>\n' + '  </rect>\n' + '</g></svg>';

var IndicatorSVG = /*#__PURE__*/function (_React$Component) {
  _inherits(IndicatorSVG, _React$Component);

  function IndicatorSVG() {
    _classCallCheck(this, IndicatorSVG);

    return _possibleConstructorReturn(this, _getPrototypeOf(IndicatorSVG).apply(this, arguments));
  }

  _createClass(IndicatorSVG, [{
    key: "attribute",
    value: function attribute(name, value, svg) {
      var pattern = new RegExp("".concat(name, "=(?:\"|')([^(\"|')]*)(?:\"|')"));

      if (!value) {
        var svgOpenTag = svg.startsWith('<svg') ? svg.match(/<svg[^>]*>/)[0] : null;
        value = svgOpenTag && pattern.test(svgOpenTag) ? svgOpenTag.match(pattern)[1] : null;
      }

      return value;
    }
  }, {
    key: "extractChildren",
    value: function extractChildren(svg) {
      return {
        __html: svg.replace(/<svg[^>]*>|<\/svg>/g, '')
      }; // remove svg tags
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          width = _this$props.width,
          height = _this$props.height,
          viewBox = _this$props.viewBox,
          other = _objectWithoutProperties(_this$props, ["width", "height", "viewBox"]);

      return _react["default"].createElement("svg", _extends({
        xmlns: "http://www.w3.org/2000/svg",
        width: width,
        height: height,
        viewBox: this.attribute('viewBox', viewBox, svg),
        dangerouslySetInnerHTML: this.extractChildren(svg)
      }, other));
    }
  }]);

  return IndicatorSVG;
}(_react["default"].Component);

IndicatorSVG.propTypes = {
  style: _propTypes["default"].object
};
var _default = IndicatorSVG;
exports["default"] = _default;