"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

var EventPool = /*#__PURE__*/function () {
  function EventPool() {
    _classCallCheck(this, EventPool);

    this.pool = [];
  }

  _createClass(EventPool, [{
    key: "add",
    value: function add(event) {
      if (typeof event === 'function') {
        this.pool.push(event);
      }
    }
  }, {
    key: "free",
    value: function free() {
      var len = this.pool.length;

      for (var i = 0; i < len; i++) {
        this.pool[i]();
      }

      this.pool.length = 0;
    }
  }]);

  return EventPool;
}();

var _default = EventPool;
exports["default"] = _default;