"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classlist = _interopRequireDefault(require("classlist"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var ToggleNode = /*#__PURE__*/function () {
  function ToggleNode(node, openedClassName, reflowTrigger) {
    _classCallCheck(this, ToggleNode);

    this.node = node;
    this.openedClassName = openedClassName;

    this.reflowTrigger = reflowTrigger || function () {// this.node.offsetWidth
    };

    this.node.style.display = 'none';
  }

  _createClass(ToggleNode, [{
    key: "open",
    value: function open() {
      this.node.style.display = 'block';
      this.reflowTrigger();
      this.openedClassName && (0, _classlist["default"])(this.node).add(this.openedClassName);
    }
  }, {
    key: "close",
    value: function close(callback) {
      var _this = this;

      if ((0, _classlist["default"])(this.node).contains(this.openedClassName)) {
        (0, _classlist["default"])(this.node).remove(this.openedClassName);

        var onTransitionEnd = function onTransitionEnd() {
          _this.node.style.display = 'none';

          _this.node.removeEventListener(ToggleNode.END_EVENT, onTransitionEnd);

          callback && callback();
        };

        this.node.addEventListener(ToggleNode.END_EVENT, onTransitionEnd);
      } else {
        callback && callback();
      }
    }
  }]);

  return ToggleNode;
}();

_defineProperty(ToggleNode, "END_EVENT", 'transitionend');

var _default = ToggleNode;
exports["default"] = _default;